﻿using MVCSampleBrowser.Models;
using Syncfusion.JavaScript.DataSources;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using Syncfusion.Linq;
using System.Web;
using System.Web.Mvc;
using Syncfusion.JavaScript.Models;
using System.Web.Script.Serialization;
using System.Reflection;
using System.Net;
using System.Configuration;
using System.Data.SqlClient;
using System.Data;
using Syncfusion.JavaScript;
using MvcApplication66.Models;

namespace MvcApplication66.Controllers
{
    public class HomeController : Controller
    {

        public ActionResult Index()
        {
            ViewBag.data = OrderRepository.GetAllRecords();

            return View();
        }
        public ActionResult Update(EditableOrder value)
        {
            OrderRepository.Update(value);
            var data = OrderRepository.GetAllRecords();
            return Json(value, JsonRequestBehavior.AllowGet);
        }
        public ActionResult Insert(EditableOrder value)
        {
            Random ran = new Random();
            value.OrderID = ran.Next();
            OrderRepository.Add(value);
            var data = OrderRepository.GetAllRecords();
            return Json(value, JsonRequestBehavior.AllowGet);
        }
        public ActionResult Remove(int key) {
            OrderRepository.Delete(key);
            EditableOrder ord = OrderRepository.GetAllRecords().Where(e => e.OrderID == key).FirstOrDefault();
            return Json(ord, JsonRequestBehavior.AllowGet);
        }
        public ActionResult BatchUpdate(string action, List<EditableOrder> added, List<EditableOrder> changed, List<EditableOrder> deleted, int? key)
        {
            IEnumerable data = OrderRepository.GetAllRecords();
            if (added.Count() > 0)
                OrderRepository.Add(added);
            if (changed.Count() > 0)
                OrderRepository.Update(changed); 
            if (deleted.Count() > 0)
                OrderRepository.Delete(deleted);
            return Json(data, JsonRequestBehavior.AllowGet);
        }
        public ActionResult splitterInGrid()
        {
            var DataSource = OrderRepository.GetAllRecords().ToList();
            ViewBag.data = DataSource;
            return View();
        }
    }
}